Cloudron makes it easy to run web apps like WordPress, Nextcloud, GitLab on your server. Find out more or install now.


SOLVED "Critical error" according to WordPress after cloning site from backup to new domain



  • Hello,

    I am needing to create my staging site as I often do before making any changes to production, and I am following the same steps I always do which is to clone from backup and set "www.staging.<domain>.<tld>" as the new location. For the very first time I seem to be running into an issue where after doing that, when I click from Cloudron to the new location it's just WordPress throwing it's "critical issue" message: "There has been a critical error on your website."

    11d5d9b1-7ff0-44b4-9df2-808730abc207-image.png

    Any ideas what this could be? I suspect this isn't a Cloudron issue so much as a WordPress issue, but I haven't run into this issue ever yet, so it's very strange. I'm thinking at first something in the database, no longer showing the right domain so it refuses to load or something? but that seems very strange to me. Anyone run into this behaviour before?



  • Actually, if I look at the logs it seems to be an issue with the authLDAP plugin, but it's still very strange it works fine on all current sites (all 16 of them) and this only happens when cloning the app.

    Jul 20 15:03:06 [Mon Jul 20 22:03:06.423208 2020] [php7:error] [pid 42] [client 172.18.0.1:49612] PHP Fatal error: Cannot redeclare authLdap_send_change_email() (previously declared in /app/data/wp-content/plugins/authLdap-2.3.1/authLdap.php:819) in /app/data/wp-content/plugins/authldap/authLdap.php on line 849, referer: https://www.staging.<domain>.<tld>/
    

    I know that plugin was updated the other day, so maybe that's caused some issues? But if that's the case, presumably others who have updated the authLDAP plugin recently will have a similar issue? Why does this only happen when cloning sites though? Seems so strange.

    I'm also on Cloudron 5.4.0 right now if that matters.



  • Okay I've narrowed this down in further testing and I think you're going to need to fix this @girish , unfortunately.

    It looks like when authLDAP 2.4.2 version if used, when deploying a new image from it, it will fail because the data injected into it from the package isn't compatible with the newer 2.4.2 version, but works fine on the 2.3.x versions. I suspect the package will need to be updated with authLDAP 2.4.2 and the appropriate values for it.

    How I arrived at the above conclusion: I took an old backup from before authLDAP was updated, and it worked well when cloning. I then updated the plugin in the staging site and backed it up and restored from that backup, and then the issue is reproducible.


  • Staff

    @d19dotca Thanks for the report, I will look into it. Looks like this is pretty bad since it will break a WP install by just upgrading the plugin. https://git.cloudron.io/cloudron/wordpress-app/-/issues/41



  • @girish to be clear it works fine once upgraded for that app in particular, it’s only on cloning the app that it is a problem.


  • Staff

    @d19dotca I have pushed an update that updates the LDAP plugin.



  • @girish Thank you as always for the quick turnaround on these issues. 🙂



  • @d19dotca said in "Critical error" according to WordPress after cloning site from backup to new domain:

    ? Why does this only happen when cloning sites though? Seems so strange.
    I'm also on Cloudron 5.4.0 right now if that matters.

    Hi,

    I suspect I have the same issue. How do I recover the site ?
    I had a problem last week where I could not login and fixed the Ldap settings in the site by using an already logged in user to change authentication back to LDAP.

    I was able to work on WP without issue, but it seems after the weekend my install has stopped. I was working on Friday night, but backup recoveries to before this have the same error.

    "
    There has been a critical error on your website.

    Learn more about debugging in WordPress.
    "



  • App Title & Version
    WordPress 5.4.2
    App ID
    85e2221b-1fe3-4001-88fc-f862a7e4e661
    Package Version
    v2.11.1
    Last Updated
    2 days ago


  • Staff


Log in to reply